Subject: [Netmod-ver-dt] Netmod Ver DT presentation at IETF 107

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Thu, 12 Mar 2020 10:51:22 +0000

Hi Netmod chairs,

Just putting a formal stake in the ground, but yes, the versioning design team would like to present at IETF 107.

I've included a rough proposal sent/discussed on the design team alias a week ago, but it hasn't been finalized, and I think that this really depends on what extra feedback we receive during the adoption call.  Ideally, we would have the necessary time to resolve the questions related to WG adoption.

Do you have particular thoughts or input on how you think it would be best to present this (e.g. do we try and cover the drafts individually, or would it be more helpful to discuss the collective set, since the aim here is to try and adopt the full set).  The plan below is to give a very short 1-2 slide summary of each draft, a few more slides on what has changed since 106 for 2 of the drafts, but then leave the bulk of the time for discussing questions that come up during the adoption call.

For the moment, I've suggested an hour for this, but equally I could see how more time may be useful.

Proposed structure:

  1.  Intro & DT update ( 10-15 mins)
     *   Restate the high-level problem that the drafts aim to solve (1 slide)
     *   Give current DT status (1 slide)
     *   Give summary of solution:

                                                               i.      1 slide listing the full set of docs (inc requirements)

                                                             ii.      1 slide reminding how they fit together

                                                           iii.      5 slides (1 per draft) covering the purpose of each solution draft

                                                           iv.      2+ slides covering the changes/updates to the packages draft

                                                             v.      2+ slides covering the changes/update to the versioning draft

  1.  Time to discuss open/high priority issues (45+ mins)
     *   Perhaps grouped by draft.  If we haven't received much comment then we can select the higher priority issues from github, to highlight those issues are we want to solicit input from the WG.

Regards,
Rob